VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DescriptorSetVariableDescriptorCountAllocateInfoEXT (uint32_t descriptorSetCount_=0, const uint32_t *pDescriptorCounts_=nullptr)
| DescriptorSetVariableDescriptorCountAllocateInfoEXT (VkDescriptorSetVariableDescriptorCountAllocateInfoEXT const &rhs)
DescriptorSetVariableDescriptorCountAllocateInfoEXT & | operator= (VkDescriptorSetVariableDescriptorCountAllocateInfoEXT const &rhs)
DescriptorSetVariableDescriptorCountAllocateInfoEXT & | setPNext (const void *pNext_)
DescriptorSetVariableDescriptorCountAllocateInfoEXT & | setDescriptorSetCount (uint32_t descriptorSetCount_)
DescriptorSetVariableDescriptorCountAllocateInfoEXT & | setPDescriptorCounts (const uint32_t *pDescriptorCounts_)
| operator VkDescriptorSetVariableDescriptorCountAllocateInfoEXT const & () const
| operator VkDescriptorSetVariableDescriptorCountAllocateInfoEXT & ()
bool | operator== (DescriptorSetVariableDescriptorCountAllocateInfoEXT const &rhs) const
bool | operator!= (DescriptorSetVariableDescriptorCountAllocateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | descriptorSetCount
const uint32_t * | pDescriptorCounts

## Private Attributes

StructureType | sType = StructureType::eDescriptorSetVariableDescriptorCountAllocateInfoEXT

## Detailed Description

Definition at line 18102 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorSetVariableDescriptorCountAllocateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::DescriptorSetVariableDescriptorCountAllocateInfoEXT | ( | uint32_t | descriptorSetCount_ = `0`,
|  | const uint32_t * | pDescriptorCounts_ = `nullptr`
| ) |  |

inline

Definition at line 18104 of file vulkan.hpp.

: descriptorSetCount( descriptorSetCount_ )
, pDescriptorCounts( pDescriptorCounts_ )
{
}

## DescriptorSetVariableDescriptorCountAllocateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::DescriptorSetVariableDescriptorCountAllocateInfoEXT | ( | VkDescriptorSetVariableDescriptorCountAllocateInfoEXT const & | rhs | ) |

inline

Definition at line 18111 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorSetVariableDescriptorCountAllocateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDescriptorSetVariableDescriptorCountAllocateInfoEXT &()

VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::operator VkDescriptorSetVariableDescriptorCountAllocateInfoEXT & | ( |  | ) |

inline

Definition at line 18144 of file vulkan.hpp.

{
return *reinterpret_cast<VkDescriptorSetVariableDescriptorCountAllocateInfoEXT*>(this);
}

## operator VkDescriptorSetVariableDescriptorCountAllocateInfoEXT const &()

VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::operator VkDescriptorSetVariableDescriptorCountAllocateInfoEXT const & | ( |  | ) | const

inline

Definition at line 18139 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDescriptorSetVariableDescriptorCountAllocateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::operator!= | ( | DescriptorSetVariableDescriptorCountAllocateInfoEXT const & | rhs | ) | const

inline

Definition at line 18157 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DescriptorSetVariableDescriptorCountAllocateInfoEXT& VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::operator= | ( | VkDescriptorSetVariableDescriptorCountAllocateInfoEXT const & | rhs | ) |

inline

Definition at line 18116 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorSetVariableDescriptorCountAllocateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::operator== | ( | DescriptorSetVariableDescriptorCountAllocateInfoEXT const & | rhs | ) | const

inline

Definition at line 18149 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( descriptorSetCount == rhs.descriptorSetCount )
&& ( pDescriptorCounts == rhs.pDescriptorCounts );
}

References descriptorSetCount, pDescriptorCounts, pNext, and sType.

Referenced by operator!=().

## setDescriptorSetCount()

DescriptorSetVariableDescriptorCountAllocateInfoEXT& VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::setDescriptorSetCount | ( | uint32_t | descriptorSetCount_ | ) |

inline

Definition at line 18127 of file vulkan.hpp.

{
descriptorSetCount = descriptorSetCount_;
return *this;
}

References descriptorSetCount.

## setPDescriptorCounts()

DescriptorSetVariableDescriptorCountAllocateInfoEXT& VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::setPDescriptorCounts | ( | const uint32_t * | pDescriptorCounts_ | ) |

inline

Definition at line 18133 of file vulkan.hpp.

{
pDescriptorCounts = pDescriptorCounts_;
return *this;
}

References pDescriptorCounts.

## setPNext()

DescriptorSetVariableDescriptorCountAllocateInfoEXT& VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 18121 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## descriptorSetCount

uint32_t VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::descriptorSetCount

Definition at line 18167 of file vulkan.hpp.

Referenced by operator==(), and setDescriptorSetCount().

## pDescriptorCounts

const uint32_t* VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::pDescriptorCounts

Definition at line 18168 of file vulkan.hpp.

Referenced by operator==(), and setPDescriptorCounts().

## pNext

const void* VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::pNext = nullptr

Definition at line 18166 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::sType = StructureType::eDescriptorSetVariableDescriptorCountAllocateInfoEXT

private

Definition at line 18163 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::DescriptorSetVariableDescriptorCountAllocateInfoEXT
DescriptorSetVariableDescriptorCountAllocateInfoEXT(uint32_t descriptorSetCount_=0, const uint32_t *pDescriptorCounts_=nullptr)
Definition: vulkan.hpp:18104
VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::descriptorSetCount
uint32_t descriptorSetCount
Definition: vulkan.hpp:18167
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkDescriptorSetVariableDescriptorCountAllocateInfoEXT
Definition: vulkan_core.h:7988
VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:18163
VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:18166
VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::operator==
bool operator==(DescriptorSetVariableDescriptorCountAllocateInfoEXT const &rhs) const
Definition: vulkan.hpp:18149
VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountAllocateInfoEXT::pDescriptorCounts
const uint32_t * pDescriptorCounts
Definition: vulkan.hpp:18168